> For the complete documentation index, see [llms.txt](https://docs.targetpick.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.targetpick.io/targetpick_eng/reward/mission_join.md).

# 미션 참여

## 1. REQUEST

{% hint style="info" %}
Reward Platform :arrow\_right: CJ MEZZOMEDIA
{% endhint %}

> CJ MEZZOMEDIA 로 미션 참여를 요청하는 API 입니다.

HTTP GET 방식으로 아래 정의된 객체를 작성해 인터페이스를 호출합니다.

#### **도메인 정보**

| 구분  | URL   |
| --- | ----- |
| 테스트 | 별도 전달 |
| 상용  | 별도 전달 |

#### **기본 객체**

<table><thead><tr><th width="154">필드</th><th width="116">유형</th><th width="86">필수</th><th>설명</th></tr></thead><tbody><tr><td>adid</td><td>string</td><td>Y</td><td>ADID</td></tr><tr><td>mission_no</td><td>number</td><td>Y</td><td>미션번호</td></tr><tr><td>cuid</td><td>string</td><td>Y</td><td>리워드 플랫폼에서 정의하여 전달하는 식별자 값<br>(callback 시 원본 값 그대로 전달)</td></tr><tr><td>cpi_no</td><td>number</td><td>Y</td><td>MEZZOMEDIA에서 발급한 리워드 플랫폼 번호</td></tr></tbody></table>

## 2. RESPONSE

{% hint style="info" %}
CJ MEZZOMEDIA :arrow\_right: Reward Platform
{% endhint %}

CJ MEZZOMEDIA 는 아래 정의된 객체를 json 타입으로 응답합니다.

<table><thead><tr><th width="209">필드</th><th width="128">유형</th><th width="81">필수</th><th>설명</th></tr></thead><tbody><tr><td>code</td><td>string</td><td>Y</td><td>코드</td></tr><tr><td>message</td><td>object</td><td>Y</td><td>메세지</td></tr><tr><td>landing_url</td><td>string</td><td>N</td><td>참여 랜딩 URL<br>(code : 200 / 참여가 가능할 경우에만 리턴 )</td></tr></tbody></table>

#### **response 예제 (참여 가능시)**

{% code lineNumbers="true" %}

```json
{
  "code": 200,
  "message": "SUCCESS",
  "landing_url": "http://..."
}
```

{% endcode %}

#### **response 예제 (참여 불가시)**

{% code lineNumbers="true" %}

```json
{
  "code": 505,
  "message": "ERROR_ALREADY_JOIN"
}
```

{% endcode %}

## 3. 코드 정의

#### **코드**

| 코드  | 설명                           |
| --- | ---------------------------- |
| 200 | SUCCESS ( landing\_url 리턴 )  |
| 408 | ERROR\_TIMEOUT               |
| 501 | ERROR\_INVALID\_TOKEN        |
| 502 | ERROR\_INVALID\_PARAMETER    |
| 503 | ERROR\_INVALID\_ADID         |
| 504 | ERROR\_NO\_CAMPAIGN          |
| 505 | ERROR\_ALREADY\_JOIN         |
| 506 | ERROR\_EMPTY\_LANDING\_URL   |
| 507 | ERROR\_CANNOT\_JOIN\_MISSION |
| 998 | ERROR\_SYSTEM                |
| 999 | ERROR\_SYSTEM                |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.targetpick.io/targetpick_eng/reward/mission_join.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
